## qt-gstreamer 1.2.0

=== examples/CMakeLists.txt ===
macro(example_distcheck example)
    add_custom_target(example_${example}_distcheck
        ${CMAKE_COMMAND}
            -DCMAKE_BUILD_TOOL=${CMAKE_BUILD_TOOL}
            -DQT_QMAKE_EXECUTABLE=${QT_QMAKE_EXECUTABLE}
            -DQT_VERSION=${QT_VERSION}
            -DBINARY_DIR=${CMAKE_CURRENT_BINARY_DIR}
            -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR}
            -DEXAMPLE=${example}
            -P ${CMAKE_CURRENT_SOURCE_DIR}/RunExamplesDistCheck.cmake
    )

    get_target_property(EXAMPLES_DISTCHECK_TARGET examples_distcheck TYPE)
    if(NOT EXAMPLES_DISTCHECK_TARGET)
        add_custom_target(examples_distcheck)
    endif()

    add_dependencies(examples_distcheck example_${example}_distcheck)
endmacro()

add_subdirectory(player)
example_distcheck(player)

add_subdirectory(appsink-src)
example_distcheck(appsink-src)

add_subdirectory(recorder)
example_distcheck(recorder)

add_subdirectory(voip)
example_distcheck(voip)

if (Qt4or5_Quick1_FOUND)
    add_subdirectory(qmlplayer)
    example_distcheck(qmlplayer)
endif()

if (Qt4or5_Quick2_FOUND)
    add_subdirectory(qmlplayer2)
    example_distcheck(qmlplayer2)
endif()

=== src/CMakeLists.txt ===
set(EXPORT_TARGET_SET ${QTGSTREAMER_PACKAGE_NAME}Targets)

if (QTGSTREAMER_STATIC)
    set(SHARED_OR_STATIC "STATIC")
else()
    set(SHARED_OR_STATIC "SHARED")
    if (CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
    endif ()
endif()

# Macro to run codegen from the subdirs
macro(run_codegen _dir_name _includes _headers)
    if (QTGSTREAMER_CODEGEN)
        set(_prefixed_headers "")
        foreach(_header ${_headers})
            list(APPEND _prefixed_headers ${_dir_name}/${_header})
        endforeach()

        add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/gen.cpp
                           COMMAND codegen
                           ARGS ${_includes} ${_prefixed_headers}
                                > ${CMAKE_CURRENT_SOURCE_DIR}/gen.cpp
                           DEPENDS codegen ${_headers}
                           WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/..)
    endif()

    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/gen.cpp
                       COMMAND ${CMAKE_COMMAND}
                       ARGS -E copy ${CMAKE_CURRENT_SOURCE_DIR}/gen.cpp
                            ${CMAKE_CURRENT_BINARY_DIR}/gen.cpp
                       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/gen.cpp
                       COMMENT "Copying gen.cpp to the build directory")
endmacro()

# Macro to install headers from the subdirs
macro(install_headers _dir_name)
    foreach(header ${ARGN})
        get_filename_component(header_path ${header} PATH)
        install(FILES ${header} DESTINATION ${QTGSTREAMER_INCLUDES_INSTALL_DIR}/${_dir_name}/${header_path})
    endforeach()
endmacro()

# Setup common environment
include_directories(${QTGSTREAMER_INCLUDES})
add_definitions(${QTGSTREAMER_DEFINITIONS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")

add_definitions(
    -DQTVIDEOSINK_NAME="${QTVIDEOSINK_NAME}"
    -DQTGLVIDEOSINK_NAME="${QTGLVIDEOSINK_NAME}"
    -DQWIDGETVIDEOSINK_NAME="${QWIDGETVIDEOSINK_NAME}"
)

# Build the libraries
add_subdirectory(QGlib)
add_subdirectory(QGst)

# Build the qml plugins
add_subdirectory(qml)

# Install the cmake scripts that are used to find the installed library from external projects
include(CMakePackageConfigHelpers)
configure_package_config_file(
    ${CMAKE_SOURCE_DIR}/cmake/modules/QtGStreamerConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${QTGSTREAMER_PACKAGE_NAME}Config.cmake
    INSTALL_DESTINATION ${QTGSTREAMER_CMAKE_CONFIG_INSTALL_DIR}
    PATH_VARS QTGSTREAMER_INCLUDES_INSTALL_DIR
    NO_CHECK_REQUIRED_COMPONENTS_MACRO)
write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/${QTGSTREAMER_PACKAGE_NAME}ConfigVersion.cmake
    VERSION ${QTGSTREAMER_VERSION}
    COMPATIBILITY SameMajorVersion)
install(EXPORT ${EXPORT_TARGET_SET} DESTINATION ${QTGSTREAMER_CMAKE_CONFIG_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QTGSTREAMER_PACKAGE_NAME}Config.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/${QTGSTREAMER_PACKAGE_NAME}ConfigVersion.cmake
              ${CMAKE_SOURCE_DIR}/cmake/modules/QtGStreamerConfigCommon.cmake
        DESTINATION ${QTGSTREAMER_CMAKE_CONFIG_INSTALL_DIR})

# Install pkgconfig files
file(GLOB_RECURSE PC_IN_FILES "*.pc.in")
foreach(pc_in_file ${PC_IN_FILES})
    get_filename_component(pc_out_file ${pc_in_file} NAME)
    string(REPLACE ".pc.in" ".pc" pc_out_file ${pc_out_file})
    if (USE_QT5)
        string(REPLACE "Qt" "Qt5" pc_out_file ${pc_out_file})
    endif()
    # Qt4 version of the QtGStreamerQuick .pc file should not be installed
    if (NOT ${pc_out_file} MATCHES "QtGStreamerQuick.*")
        configure_file(${pc_in_file} ${CMAKE_CURRENT_BINARY_DIR}/${pc_out_file} @ONLY)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${pc_out_file}
                DESTINATION ${QTGSTREAMER_PC_INSTALL_DIR})
    endif()
endforeach()

=== tests/CMakeLists.txt ===
add_subdirectory(auto)
add_subdirectory(compilation)
add_subdirectory(manual)

=== elements/gstqtvideosink/CMakeLists.txt ===
glib2_genmarshal(gstqtvideosinkmarshal
    VOID:POINTER,FLOAT,FLOAT,FLOAT,FLOAT
    VOID:POINTER,DOUBLE,DOUBLE,DOUBLE,DOUBLE
    POINTER:POINTER,FLOAT,FLOAT,FLOAT,FLOAT
    POINTER:POINTER,DOUBLE,DOUBLE,DOUBLE,DOUBLE
)

set(GstQtVideoSink_SRCS
    utils/utils.cpp
    utils/bufferformat.cpp

    painters/genericsurfacepainter.cpp

    delegates/basedelegate.cpp
    delegates/qtvideosinkdelegate.cpp
    delegates/qwidgetvideosinkdelegate.cpp

    gstqtvideosinkplugin.cpp
    gstqtvideosinkbase.cpp
    gstqtvideosink.cpp
    gstqwidgetvideosink.cpp

    ${CMAKE_CURRENT_BINARY_DIR}/gstqtvideosinkmarshal.c
)

if (Qt4or5_Quick2_FOUND AND (OPENGL_FOUND OR OPENGLES2_FOUND))
    set(GstQtVideoSink_SRCS
        ${GstQtVideoSink_SRCS}
        painters/videomaterial.cpp
        painters/videonode.cpp

        delegates/qtquick2videosinkdelegate.cpp

        gstqtquick2videosink.cpp
    )
    set(GstQtVideoSink_LINK_OPENGL TRUE)
endif()

if (Qt4or5_OpenGL_FOUND AND (OPENGL_FOUND OR OPENGLES2_FOUND))
    set(GstQtVideoSink_SRCS
        ${GstQtVideoSink_SRCS}
        painters/openglsurfacepainter.cpp
        gstqtglvideosinkbase.cpp
        gstqtglvideosink.cpp
    )
    set(GstQtVideoSink_test_GL_SRCS
        painters/openglsurfacepainter.cpp
    )
    set(GstQtVideoSink_LINK_OPENGL TRUE)
else()
    add_definitions(-DGST_QT_VIDEO_SINK_NO_OPENGL)
endif()

add_definitions(
    -DQTVIDEOSINK_NAME=${QTVIDEOSINK_NAME}
    -DQTGLVIDEOSINK_NAME=${QTGLVIDEOSINK_NAME}
    -DQWIDGETVIDEOSINK_NAME=${QWIDGETVIDEOSINK_NAME}
)

if (GstQtVideoSink_LINK_OPENGL)
    if (OPENGLES2_FOUND)
        set(GstQtVideoSink_GL_LIBS ${OPENGLES2_LIBRARY})
        include_directories(${OPENGLES2_INCLUDE_DIR})
    else()
        set(GstQtVideoSink_GL_LIBS ${OPENGL_gl_LIBRARY})
        include_directories(${OPENGL_INCLUDE_DIR})
    endif()
endif()

add_library(gst${QTVIDEOSINK_NAME} MODULE ${GstQtVideoSink_SRCS})
target_link_libraries(gst${QTVIDEOSINK_NAME}
    ${GOBJECT_LIBRARIES}
    ${GSTREAMER_LIBRARY}
    ${GSTREAMER_BASE_LIBRARY}
    ${GSTREAMER_VIDEO_LIBRARY}
    ${GstQtVideoSink_GL_LIBS}
)
qt4or5_use_modules(gst${QTVIDEOSINK_NAME} Core Gui Widgets)
if (Qt4or5_Quick2_FOUND AND (OPENGL_FOUND OR OPENGLES2_FOUND))
    qt4or5_use_modules(gst${QTVIDEOSINK_NAME} Quick2)
endif()
if (Qt4or5_OpenGL_FOUND AND (OPENGL_FOUND OR OPENGLES2_FOUND))
    qt4or5_use_modules(gst${QTVIDEOSINK_NAME} OpenGL)
endif()
install(TARGETS gst${QTVIDEOSINK_NAME} DESTINATION ${QTGSTREAMER_GST_PLUGINS_INSTALL_DIR})

if (QTGSTREAMER_TESTS)
    add_executable(qtvideosink_autotest
        autotest.cpp
        utils/utils.cpp
        utils/bufferformat.cpp
        painters/genericsurfacepainter.cpp
        ${GstQtVideoSink_test_GL_SRCS}
    )
    target_link_libraries(qtvideosink_autotest
        ${GOBJECT_LIBRARIES}
        ${GSTREAMER_LIBRARY}
        ${GSTREAMER_BASE_LIBRARY}
        ${GSTREAMER_VIDEO_LIBRARY}
        ${GstQtVideoSink_GL_LIBS}
    )
    qt4or5_use_modules(qtvideosink_autotest Core Gui Widgets Test)
    if (Qt4or5_OpenGL_FOUND AND (OPENGL_FOUND OR OPENGLES2_FOUND))
        qt4or5_use_modules(qtvideosink_autotest OpenGL)
    endif()
endif()

=== examples/player/CMakeLists.txt ===
project(qtgst-example-player)

if (NOT BUILDING_QTGSTREAMER)
    set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules)
    find_package(Qt4or5 COMPONENTS Core Gui Widgets REQUIRED)
    if (${QT_VERSION} STREQUAL "5")
        find_package(Qt5GStreamer REQUIRED)
    else()
        find_package(QtGStreamer REQUIRED)
    endif()
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
endif()

include_directories(${QTGSTREAMER_INCLUDES})
add_definitions(${QTGSTREAMER_DEFINITIONS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")

set(player_SOURCES main.cpp player.cpp mediaapp.cpp)

add_executable(player ${player_SOURCES})
target_link_libraries(player ${QTGSTREAMER_UI_LIBRARIES})
qt4or5_use_modules(player Core Gui Widgets)

=== examples/qmlplayer/CMakeLists.txt ===
project(qtgst-example-qmlplayer)

if (NOT BUILDING_QTGSTREAMER)
    set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules)
    find_package(Qt4or5 COMPONENTS Core Gui Widgets Quick1 REQUIRED)
    if (${QT_VERSION} STREQUAL "5")
        find_package(Qt5GStreamer REQUIRED)
    else()
        find_package(QtGStreamer REQUIRED)
    endif()

    find_package(OpenGL)
    find_package(OpenGLES2)

    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
else()
    # allow the example to run from the build tree without installing QtGStreamer
    add_definitions(
        -DQTVIDEOSINK_PATH="${QtGStreamer_BINARY_DIR}/elements/gstqtvideosink"
        -DUNINSTALLED_IMPORTS_DIR="${QtGStreamer_BINARY_DIR}/src/qml/quick1"
    )
endif()

include_directories(${QTGSTREAMER_INCLUDES})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")
add_definitions(${QTGSTREAMER_DEFINITIONS})

if (Qt4or5_OpenGL_FOUND AND (OPENGL_FOUND OR OPENGLES2_FOUND))
    if (OPENGLES2_FOUND)
        include_directories(${OPENGLES2_INCLUDE_DIR})
    else()
        include_directories(${OPENGL_INCLUDE_DIR})
    endif()
else()
    add_definitions(-DQMLPLAYER_NO_OPENGL)
endif()

set(qmlplayer_SOURCES main.cpp player.cpp)
qt4or5_add_resources(qmlplayer_rcc_SOURCES qmlplayer.qrc)

add_executable(qmlplayer
    ${qmlplayer_SOURCES}
    ${qmlplayer_rcc_SOURCES}
)
target_link_libraries(qmlplayer ${QTGSTREAMER_UI_LIBRARIES})
qt4or5_use_modules(qmlplayer Core Gui Widgets Quick1)
if (Qt4or5_OpenGL_FOUND AND (OPENGL_FOUND OR OPENGLES2_FOUND))
    qt4or5_use_modules(qmlplayer OpenGL)
endif()

=== examples/qmlplayer2/CMakeLists.txt ===
project(qtgst-example-qmlplayer2)

if (NOT BUILDING_QTGSTREAMER)
    set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules)
    find_package(Qt4or5 COMPONENTS Core Gui Quick2 Qml REQUIRED)
    find_package(Qt5GStreamer REQUIRED)

    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
else()
    # allow the example to run from the build tree without installing QtGStreamer
    add_definitions(
        -DQTVIDEOSINK_PATH="${QtGStreamer_BINARY_DIR}/elements/gstqtvideosink"
        -DUNINSTALLED_IMPORTS_DIR="${QtGStreamer_BINARY_DIR}/src/qml/quick2"
    )
endif()

include_directories(${QTGSTREAMER_INCLUDES})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")
add_definitions(${QTGSTREAMER_DEFINITIONS})

set(qmlplayer2_SOURCES main.cpp player.cpp)
qt4or5_add_resources(qmlplayer2_rcc_SOURCES qmlplayer2.qrc)

add_executable(qmlplayer2
    ${qmlplayer2_SOURCES}
    ${qmlplayer2_rcc_SOURCES}
)
target_link_libraries(qmlplayer2 ${QTGSTREAMER_QUICK_LIBRARIES})
qt4or5_use_modules(qmlplayer2 Core Gui Quick2 Qml)

=== examples/voip/CMakeLists.txt ===
project(qtgst-example-voip)

if (NOT BUILDING_QTGSTREAMER)
    set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules)
    find_package(Qt4or5 COMPONENTS Core Gui Widgets REQUIRED)
    if (${QT_VERSION} STREQUAL "5")
        find_package(Qt5GStreamer REQUIRED)
    else()
        find_package(QtGStreamer REQUIRED)
    endif()
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
endif()

include_directories(${QTGSTREAMER_INCLUDES})
add_definitions(${QTGSTREAMER_DEFINITIONS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")

qt4or5_wrap_ui(voip_UI_SRCS voip.ui)
add_executable(voip main.cpp ${voip_UI_SRCS})
target_link_libraries(voip ${QTGSTREAMER_UI_LIBRARIES})
qt4or5_use_modules(voip Core Gui Widgets)

=== src/qml/CMakeLists.txt ===
if (Qt4or5_Quick1_FOUND)
    add_subdirectory(quick1)
endif()

if (Qt4or5_Quick2_FOUND)
    add_subdirectory(quick2)
endif()

=== tests/auto/CMakeLists.txt ===
include_directories(${GSTREAMER_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR} ${QTGSTREAMER_INCLUDES})
add_definitions(${QTGSTREAMER_DEFINITIONS} -DGST_DISABLE_XML -DGST_DISABLE_LOADSAVE)
add_definitions(-DSRCDIR="${CMAKE_CURRENT_SOURCE_DIR}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")

macro(qgst_test target)
    add_executable(${target} "${target}.cpp")
    target_link_libraries(${target} ${GSTREAMER_LIBRARY} ${GOBJECT_LIBRARIES}
                                    ${QTGSTREAMER_LIBRARIES}
                                    ${GSTREAMER_PBUTILS_LIBRARY})
    qt4or5_use_modules(${target} Test)
    add_test(NAME ${target} COMMAND ${target})
endmacro(qgst_test)

qgst_test(refpointertest)
qgst_test(propertiestest)
qgst_test(signalstest)
qgst_test(valuetest)
qgst_test(structuretest)
qgst_test(capstest)
qgst_test(childproxytest)
qgst_test(structstest)
qgst_test(parsetest)
qgst_test(urihandlertest)
qgst_test(bustest)
qgst_test(querytest)
qgst_test(clocktest)
qgst_test(buffertest)
qgst_test(eventtest)
qgst_test(messagetest)
qgst_test(taglisttest)
qgst_test(discoverertest)
qgst_test(allocatortest)
qgst_test(memorytest)
qgst_test(padtest)

=== tests/compilation/CMakeLists.txt ===
add_test(NAME compilation_tests
    COMMAND ${CMAKE_COMMAND}
        -DQT_VERSION=${QT_VERSION}
        -DQTGLIB_LIBRARY=$<TARGET_LINKER_FILE:${QTGLIB_LIBRARY}>
        -DQTGSTREAMER_LIBRARY=$<TARGET_LINKER_FILE:${QTGSTREAMER_LIBRARY}>
        -DQTGSTREAMER_INCLUDE_DIR=${QTGSTREAMER_INCLUDE_DIR}
        -DQTGSTREAMER_STATIC=${QTGSTREAMER_STATIC}
        -DCMAKE_MODULE_PATH=${CMAKE_MODULE_PATH}
        -DBINARY_DIR=${CMAKE_CURRENT_BINARY_DIR}/CompilationTests
        -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR}
        -DGENERATOR=${CMAKE_GENERATOR}
        -P ${CMAKE_CURRENT_SOURCE_DIR}/RunCompilationTests.cmake
)

=== tests/manual/CMakeLists.txt ===
include_directories(${QTGSTREAMER_INCLUDES})
add_definitions(${QTGSTREAMER_DEFINITIONS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS}")

add_definitions(
    -DQTVIDEOSINK_NAME="${QTVIDEOSINK_NAME}"
    -DQTGLVIDEOSINK_NAME="${QTGLVIDEOSINK_NAME}"
    -DQWIDGETVIDEOSINK_NAME="${QWIDGETVIDEOSINK_NAME}"
)

qt4or5_wrap_ui(QWIDGETVIDEOSINKTEST_UI qwidgetvideosinktest.ui)
add_executable(qwidgetvideosinktest qwidgetvideosinktest.cpp ${QWIDGETVIDEOSINKTEST_UI})
target_link_libraries(qwidgetvideosinktest ${QTGSTREAMER_LIBRARIES})
qt4or5_use_modules(qwidgetvideosinktest Core Gui Widgets)

qt4or5_wrap_ui(VIDEOWIDGETTEST_UI videowidgettest.ui)
add_executable(videowidgettest videowidgettest.cpp ${VIDEOWIDGETTEST_UI})
target_link_libraries(videowidgettest ${QTGSTREAMER_UI_LIBRARIES})
qt4or5_use_modules(videowidgettest Core Gui Widgets)

qt4or5_wrap_ui(VIDEOWIDGETPIPELINETEST_UI videowidgetpipelinetest.ui)
add_executable(videowidgetpipelinetest videowidgetpipelinetest.cpp ${VIDEOWIDGETPIPELINETEST_UI})
target_link_libraries(videowidgetpipelinetest ${QTGSTREAMER_UI_LIBRARIES})
qt4or5_use_modules(videowidgetpipelinetest Core Gui Widgets)

qt4or5_wrap_ui(VIDEOORIENTATIONTEST_UI videoorientationtest.ui)
add_executable(videoorientationtest videoorientationtest.cpp ${VIDEOORIENTATIONTEST_UI})
target_link_libraries(videoorientationtest ${QTGSTREAMER_UI_LIBRARIES})
qt4or5_use_modules(videoorientationtest Core Gui Widgets)

=== debian/changelog ===
qt-gstreamer (1.2.0-5ubuntu0.1) focal; urgency=medium

  * d/patches: Fix gst_caps_copy() macro.
    - Fixes FTBFS in Focal.
  * d/control: Apply Debian fix for missing dependencies. (LP: #1950959)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 19 Dec 2023 22:18:23 +0000

qt-gstreamer (1.2.0-5) unstable; urgency=medium

  * Team upload.
  * Remove the Qt4 packages, as they are not used in the archive anymore:
    (Closes: #875147)
    - remove the libqtglib-2.0-0, libqtgstreamer-1.0-0, libqtgstreamerui-1.0-0,
      libqtgstreamerutils-1.0-0, qtgstreamer-plugins, qtgstreamer-declarative,
      libqtgstreamer-dev, and qtgstreamer-dbg packages
    - remove the libqt4-dev, and libqt4-opengl-dev build dependencies
    - remove the double build in rules
    - switch libqtgstreamer-dev suggest in qtgstreamer-doc to
      libqt5gstreamer-dev
  * Remove qt5gstreamer-dbg in favour of the -dbgsym packages.
  * Remove dh_gencontrol override: it used to run dh_gstscancodecs, but since
    it does not anymore, then do not bother doing no-op work.
  * Remove also *.map files in the doxygen-generated documentation.
  * Fix version of a libqt5glib-2.0-0 symbol.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Remove trailing whitespaces in changelog.
  * Update Vcs-* fields.
  * Use https in the watch file, for the Homepage, and for the PTS URL.
  * Remove manual libstdc++6 dependency in libqt5glib-2.0-0.
  * Suggest qtgstreamer-plugins-qt5 instead of qtgstreamer-plugins in
    libqt5gstreamerui-1.0-0.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Dec 2017 00:15:49 +0100

qt-gstreamer (1.2.0-4) unstable; urgency=medium

  * Refresh patches.
  * Add new patch: Furter-workarounds-for-build-failures-now-boost-1.61-
    and-.patch
  * Fix dpkg-buildpackage -A ftbfs (Closes: #806102)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 09 Aug 2016 14:57:19 +0200

qt-gstreamer (1.2.0-3) unstable; urgency=medium

  * Team upload.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Aug 2015 11:38:00 +0200

qt-gstreamer (1.2.0-2ubuntu3) UNRELEASED; urgency=medium

  * Fix FTBFS because of latest gstreamer:
    - add find_gstconfig_properly.diff
    - add pkg-config to build depends (needed by the above patch)
  * Workaround FTBFS with boost >= 1.57:
    - add upstream_workaround_boost_ftbfs.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 10 Aug 2015 14:07:34 +0200

qt-gstreamer (1.2.0-2ubuntu2) wily; urgency=medium

  * Revert package rename; on closer inspection the only symbol changes are
    all to templates.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 09 Aug 2015 22:08:38 +0000

qt-gstreamer (1.2.0-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 06:42:22 +0000

qt-gstreamer (1.2.0-2) unstable; urgency=medium

  * Add disable-doxygen-timestamp.patch to help make package
    build reproducably.
  * Update symbols file, a few symbols are parameterized on amd64 and i386.
  * Delete .md5 files generated by Doxygen
  * Update Standards-Version to 3.9.6. No changes needed.
  * Build Qt5 versions of QtGstreamer.
    - libqt5glib, libqt5gstreamer, libqt5gstreamer-dev,
      libqt5gstreamerquick-1.0, libqt5gstreamerui-1.0,
      libqt5gstreamerutils-1.0, and qtgstreamer-plugins-qt5
    - I copied work from Jonathan Riddell for the .install and
      .symbols files.
  * Differentiate package long descriptions between Qt4 and Qt5 packages.
  * Build doc files in an architecture independent step.
  * Correctly build dbg packages for Qt4 and Qt5 packages.
  * Release to unstable after Jessie freeze finished.

 -- Diane Trout <diane@ghic.org>  Wed, 29 Apr 2015 21:26:30 -0700

qt-gstreamer (1.2.0-1) experimental; urgency=medium

  * Import upstream version 1.2.0
  * Add watch file.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Add myself to uploaders.
  * Removed include_path_multiarch.patch build is multiarch compatible.
  * Update package names from 0.10 to 1.0 to reflect change in api version.
  * Update symbols files.
  * Remove LIB_INSTALL_DIR setting from rules as its not used by cmake any more.
  * Update path for qtgstreamer-dev cmake configuration files.
  * Add Multi-Arch: same to qtgstreamer-dbg
  * Link to debian provided jquery.
  * Update libqtgstreamer for amd64 and i386
  * Add dependency on pkg-kde-tools to use pkgkde-symbolshelper to
    manage symbols.
  * Change maintainer to Debian KDE Extras Team
  * Add vcs-git and vcs-browser tags.

 -- Diane Trout <diane@ghic.org>  Tue, 01 Jul 2014 20:13:24 -0700

=== debian/control ===
Source: qt-gstreamer
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.6),
               debhelper (>= 9),
               doxygen,
               dpkg-dev (>= 1.16.1~),
               graphviz,
               libboost-dev (>= 1.39),
               libgstreamer-plugins-base1.0-dev (>= 1.1.90),
               libgstreamer1.0-dev (>= 1.1.90),
               libqt5opengl5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 4.1.2
Homepage: https://gstreamer.freedesktop.org
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/qt-gstreamer.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/qt-gstreamer.git

Package: qtgstreamer-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Suggests: libqt5gstreamer-dev
Description: QtGStreamer API documentation
 QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
 plus some helper classes for integrating GStreamer better in Qt applications.
 .
 This package contains API documentation for the QtGStreamer library
 in html format, generated from the sources with doxygen.

Package: libqt5glib-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ bindings library for GLib and GObject with a Qt-style API - Qt 5 build
 This package contains the QtGLib library, a library that provides
 C++ bindings for parts of the GLib and GObject APIs with a Qt-syle API.
 The bindings are designed to be easy to use for C++ programmers that are
 used to the Qt API and also provide easier integration with Qt by using
 Qt's data types where applicable.
 .
 This library serves as a base for building the QtGStreamer bindings library.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: libqt5gstreamer-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ bindings library for GStreamer with a Qt-style API - Qt 5 build
 This package contains the QtGStreamer library, a library that provides
 C++ bindings for GStreamer with a Qt-style API. The bindings are designed
 to be easy to use for C++ programmers that are used to the Qt API and
 also provide easier integration with Qt by using Qt's data types where
 applicable.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: libqt5gstreamerui-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtgstreamer-plugins-qt5
Description: QtGStreamerUi library - Qt 5 build
 This package contains the QtGStreamerUi library, a library that provides
 helper classes for integrating GStreamer better in graphical Qt applications.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: libqt5gstreamerutils-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QtGStreamerUtils library - Qt 5 build
 This package contains the QtGStreamerUtils library, a library that provides
 some high level utility classes that can be used with QtGStreamer.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: libqt5gstreamerquick-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qtgstreamer-plugins-qt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qml-module-qtgstreamer (= ${binary:Version})
Description: QtGStreamerQuick library - Qt 5 build
 This package contains the QtGStreamerQuick library, a library that provides
 some high level utility classes that can be used with QtGStreamer.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: qtgstreamer-plugins-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from QtGStreamer - Qt 5 build
 This package contains GStreamer plugins that are shipped together with
 the QtGStreamer bindings library. These plugins provide GStreamer elements
 that enable better integration of GStreamer in Qt applications.
 .
 Currently, this package contains the qtvideosink, qtglvideosink and
 qwidgetvideosink elements.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: libqt5gstreamer-dev
Section: libdevel
Architecture: any
Depends: libboost-dev (>= 1.39),
         libglib2.0-dev,
         libgstreamer-plugins-base1.0-dev (>= 1.1.90),
         libgstreamer1.0-dev,
         libqt5glib-2.0-0 (= ${binary:Version}),
         libqt5gstreamer-1.0-0 (= ${binary:Version}),
         libqt5gstreamerquick-1.0-0 (= ${binary:Version}),
         libqt5gstreamerui-1.0-0 (= ${binary:Version}),
         libqt5gstreamerutils-1.0-0 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Recommends: qtdeclarative5-dev
Suggests: qtgstreamer-doc
Description: Development headers for QtGStreamer - Qt 5 build
 QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
 plus some helper classes for integrating GStreamer better in Qt applications.
 .
 This package provides the necessary development files for building
 C++/Qt applications that use the QtGStreamer library.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: qml-module-qtgstreamer
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QML plugins from QtGStreamer - Qt 5 build
 This package contains QML plugins that are shipped together with the
 QtGStreamer bindings library. These plugins provide QML elements that
 enable better integration of GStreamer in QML-based GUI applications.
 .
 This package is part of the Qt5 version of QtGStreamer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

CMAKE_OPTS :=  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
               -DQT_VERSION=5 \
               -DQTGSTREAMER_STATIC=OFF \
               -DQTGSTREAMER_TESTS=OFF \
               -DQTGSTREAMER_EXAMPLES=OFF \
               -DGST_PACKAGE_NAME="QtGStreamer (Debian)" \
               -DGST_PACKAGE_ORIGIN="https://packages.qa.debian.org/qt-gstreamer" \
               -DUSE_QT_PLUGIN_DIR=OFF

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_build-arch:
	dh_auto_build --parallel -a -- all

override_dh_auto_build-indep:
	dh_auto_build --parallel -i -- doc

override_dh_strip:
	dh_strip --dbgsym-migration='qt5gstreamer-dbg (<< 1.2.0-5~)'

override_dh_auto_install-arch:
	dh_auto_install --parallel -a

override_dh_auto_install-indep:
	dh_auto_install --parallel -i
	cp -r obj-$(DEB_HOST_GNU_TYPE)/doc debian/tmp/doc
	find debian/tmp/doc/html \( -name '*.md5' -o -name '*.map' \) -delete
	-rm debian/tmp/doc/html/jquery.js

%:
	dh $@ --parallel --with=pkgkde-symbolshelper
